/* MASTER */
a
{
    color: var(--c-red);
    font-weight: bold;
    text-decoration: none;
}

a:active, a:focus
{
    font-weight: bold;
    text-decoration: none;
}

.img-redirect:hover
{
    cursor: pointer;
}

.bx, .bxs
{
    font-size: 20;
}

.click:hover
{
    cursor: pointer;
}

.main-content
{
    min-height: 65vh;
}

/* BACKGROUNDS */
.bg-purple-gradient
{
    background: rgb(39, 8, 68);
    background: linear-gradient(139deg, rgba(39, 8, 68, 1) 0%, rgba(55, 12, 97, 1) 100%);
}

.bg-generic
{
    background: url("https://bhfacil.com.br/sinfa/assets/images/register/bg-register.webp");
    background-size: cover;
    background-repeat: no-repeat;
}

.bg-tea
{
    background-image: url("https://bhfacil.com.br/sinfa/assets/images/register/bg/tea.png");
    background-size: cover;
    background-repeat: no-repeat;
}

.bg-generic-degrade
{
    background: rgb(255,255,255);
    background: linear-gradient(180deg, rgba(255,255,255) 0%, rgba(184,184,184) 100%);
}

@media only screen and (max-width: 768px)
{
    .bg-tea
    {
        background-image: url("https://bhfacil.com.br/sinfa/assets/images/register/bg/tea.png");
        background-size: contain;
        background-repeat: repeat;
    }
}

/* BOTÕES */
/*** CUSTOM ***/

.btn:hover, .btn:active
{
    transform: scale(1.1);
}

.btn-custom
{
    display: inline-block;
    font-weight: 500;
    text-align: center;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    padding: 1rem 2rem;
    text-transform: uppercase;
    font-size: 15px;
    text-shadow: 0 1px 3px rgba(0,0,0,0.3);
    letter-spacing: 2px;
    transition: all 0.3s;
    border-radius: 3px;
}

.btn-custom:hover
{
    transition: all 0.3s;
}

.hollow
{
    background: rgba(0,0,0,0)!important;
}

.hollow:hover, .hollow:active
{
    background: rgba(0,0,0,0)!important;
}

/*** PRIMARY ***/
.btn-primary
{
    background: var(--c-purple);
    border: 1px solid var(--c-purple);
}

.btn-primary:hover, .btn-primary:active
{
    background-color: var(--c-purple);
    border: 1px solid var(--c-purple)!important;
}

.btn-primary:active
{
    background-color: var(--c-purple)!important;
    border: 1px solid var(--c-purple)!important;
}

.hollow.btn-primary, .hollow.btn-primary:hover
{
    color: var(--c-purple);
}

.hollow.btn-primary:active
{
    color: white;
}

/*** SECONDARY ***/
.btn-secondary
{
    background: var(--c-red);
    border: 1px solid var(--c-red);
}

.btn-secondary:hover, .btn-secondary:active
{
    background-color: var(--c-red);
    border: 1px solid var(--c-red)!important;
}

.btn-secondary:active
{
    background-color: var(--c-red)!important;
    border: 1px solid var(--c-red)!important;
}

.hollow.btn-secondary, .hollow.btn-secondary:hover
{
    color: var(--c-red);
}

.hollow.btn-secondary:active
{
    color: white;
}

/*** SUCCESS ***/
.btn-success
{
    background: var(--c-success);
    border: 1px solid var(--c-success);
}

.btn-success:hover
{
    background-color: var(--c-success);
    border: 1px solid var(--c-success)!important;
}

.btn-success:active
{
    background-color: var(--c-success)!important;
    border: 1px solid var(--c-success)!important;
}

.hollow.btn-success, .hollow.btn-success:hover
{
    color: var(--c-success);
}

.hollow.btn-success:active
{
    color: white;
}

/*** WARNING ***/
.btn-warning
{
    background: var(--c-warning);
    border: 1px solid var(--c-warning);
}

.btn-warning:hover, .btn-warning:active
{
    background-color: var(--c-warning);
    border: 1px solid var(--c-warning)!important;
}

.btn-warning:active
{
    background-color: var(--c-warning)!important;
    border: 1px solid var(--c-warning)!important;
}

.hollow.btn-warning, .hollow.btn-warning:hover
{
    color: var(--c-warning);
}

.hollow.btn-warning:active
{
    color: white;
}

/*** DANGER ***/
.btn-danger
{
    background: var(--c-danger);
    border: 1px solid var(--c-danger);
}

.btn-danger:hover
{
    background-color: var(--c-danger);
    border: 1px solid var(--c-danger)!important;
}

.btn-danger:active
{
    background-color: var(--c-danger)!important;
    border: 1px solid var(--c-danger)!important;
}

.hollow.btn-danger, .hollow.btn-danger:hover
{
    color: var(--c-danger);
}

.hollow.btn-danger:active
{
    color: white
}

/* NAV */
.brand
{
    width: 100px;
}

.menu-reverse
{
    display: flex;
}

/* FOOTER */
#footer
{
    /*position: fixed;*/
    bottom: 0;
    margin-top: 3rem;
    background: #ddd;
    padding-top: 1rem;
}

#footer .footer-wrapper
{
    width: 100%;
}

/* SCROLL BAR */
/* Chrome, Edge and Safari */
*::-webkit-scrollbar {
    height: 5px;
    width: 5px;
  }
  *::-webkit-scrollbar-track {
    border-radius: 5px;
    background-color: #DFE9EB;
  }
  
  *::-webkit-scrollbar-track:hover {
    background-color: #B8C0C2;
  }
  
  *::-webkit-scrollbar-track:active {
    background-color: #B8C0C2;
  }
  
  *::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: var(--c-purple);
    transition: 1s;
  }
  
  *::-webkit-scrollbar-thumb:hover {
    background-color: var(--c-purple-light);
    transition: 1s;
  }
  
  *::-webkit-scrollbar-thumb:active {
    background-color: var(--c-purple-light);
    transition: 1s;
  }